@Filename: AdcSta.s
@Part: ADuC702x.
@Created: 15/04/2004
@Updated: 28/06/2005
@Author: Eckart Hartmann.
@This file is in beta sampling.

.include        "ADuC7020.equ"
.ARM


@ AdcSta==========Reads the ADC status.
@ C Function prototype: int AdcSta(void);
@ Description of Function: Reads the ADC status ADCSTA.
@ User interface:
@       Call AdcSta.
@       Returns ADCSTA:
@           0 --> No new ADC data is available
@           1 --> New ADC data is available.
@ Robustness:  No known issues.
@ Side effects: Corrupts r3.

.GLOBAL AdcSta

AdcSta:
        mov     r3,#0xff0000            @r3 = Z_BASE;
        orr     r3,r3,#0xff000000
        ldr     r0,[r3,#ADCSTA_OFFSET]  @Get ADCSTA.
        bx      lr                      @return.
